Błąd zależności przy aktualizacji.system nie wstaje

Witam. Po aktualizacji system nie chce się załadować graficznie. Podczas aktualizacji wyświetlił się błąd nvidia-utlis z jakimiś zależnościami, ale nie pamiętam z jakimi. Mogę wejść do konsoli przez ctrl alt f2. Jednak gdy próbuję odinstalować te stery i zainstalować to też mam jakieś błędy zależności. Jak coś trzeba podać to napiszcie bo jest późno i już nie kontaktuje.

Jaką masz kartę graficzną i jakie sterowniki zainstalowane/dostępne? Podaj wynik inxi -Gazy oraz mhwd -l i mhwd -li. Przyda się też informacja o kernelu uname -r.

Ok

I już wszystko jasne. Wywala ci błąd z dwóch powodów:

  1. Masz kartę GTX 750 Ti z rodziny Keepler, dla której Nvidia ostatnio porzuciła wsparcie. Na najnowszych sterownikach (czyli video-nvidia) ta karta już nie pójdzie, musisz przejść na video-nvidia-470xx
  2. Nie jesteś w stanie zainstalować powyższych sterowników, bo jedziesz na niewspieranym kernelu – musisz wpierw zainstalować nowszy kernel, dajmy na to najnowszy 5.15.

W twoim przypadku rozwiązanie przedstawia się mniej więcej tak:

mhwd-kernel -i linux515
# reboot
mhwd-kernel -r linux512
mhwd -r pci video-nvidia
mhwd -i pci video-nvidia-470xx
pamac update # lub sudo pacman -Syyu
# reboot i cieszymy się działającym systemem :)
3 polubienia

Nie mogę usunąć tych sterów jak wspominałem

W takim razie wcześniej musisz usunąć wszystkie inne pakiety, z którymi nvidia-utils będzie się kłócić, w tym przypadku:

pamac remove cuda

I spróbować usunąć te sterowniki jeszcze raz.

1 polubienie

Kurcze dzięki. Odpaliło. Czyli teraz przy każdej aktualizacji będę miał taki problem? Trochę lipa. W dzisiejszych czasach i cenach kart to GTX 750 ti jest nawet ok.

Nie, tylko przy tej. Problem może się pojawić dopiero gdy zakończy się wsparcie dla kernela 5.15 (o ile się nie mylę ten ma być LTS, więc parę lat można na nim podziałać :wink:) albo gdy usuną z repozytoriów sterowniki 470xx, co też raczej szybko nie nastąpi – sporo osób wciąż korzysta z Keeplerów. Tak szacunkowo liczę, że jeszcze z rok, dwa będziesz mógł bez większych problemów korzystać z tego sprzętu, a potem będzie zabawa w patchowanie i kompilowanie sterowników – tak jak to ma obecnie miejsce z sterownikami 340xx (i pewnie za niedługo z 390xx). Ale o tym może ci opowiedzieć @napcok i inni posiadacze podobnych zabytków :wink:

No mam nadzieję, że w ciągu roku czy dwóch normalne ceny kart wrócą na swoje miejsce tzn, że w ogóle karty zaczną się pojawiać w sklepach. Mam nowy sprzęt, ale karta niestety pozostała i czeka na wymianę ze względu na ceny. Jeszcze raz dzięki.